%global namedreltag .Alpha7
%global namedversion %{version}%{?namedreltag}

%global debug_package %{nil}

Name:             protostream
Version:          1.0.0
Release:          0.10%{namedreltag}%{dist}
Summary:          Infinispan ProtoStream
License:          ASL 2.0 and BSD
Url:              http://infinispan.org/
Source0:          https://github.com/infinispan/protostream/archive/%{namedversion}.tar.gz
Source1:          LICENSE.txt

BuildRequires:    maven-local
BuildRequires:    mvn(com.google.protobuf:protobuf-java)
BuildRequires:    mvn(junit:junit)
BuildRequires:    mvn(log4j:log4j:12)
BuildRequires:    mvn(org.apache.maven.plugins:maven-antrun-plugin)
BuildRequires:    mvn(org.apache.maven.plugins:maven-surefire-report-plugin)
BuildRequires:    mvn(org.codehaus.mojo:exec-maven-plugin)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)
BuildRequires:    mvn(org.jboss.logging:jboss-logging)
BuildRequires:    mvn(org.jboss.logging:jboss-logging-processor)
BuildRequires:    protobuf-compiler

%description
The Infinispan ProtoStream project

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n protostream-%{namedversion}

cp %{SOURCE1} .

%pom_xpath_set "pom:properties/pom:version.log4j" 12 parent
%pom_xpath_inject "pom:dependency[pom:artifactId = 'log4j']" '<version>${version.log4j}</version>' core
%pom_remove_plugin -r :maven-source-plugin
# Break build, use system setting
%pom_remove_plugin -r :maven-compiler-plugin

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Tue Mar 01 2016 Yaakov Selkowitz <yselkowi@redhat.com> - 1.0.0-0.10.Alpha7
- BR: protobuf-compiler (#1307878)

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-0.9.Alpha7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Aug 08 2015 gil cattaneo <puntogil@libero.it> 1.0.0-0.8.Alpha7
- fix FTBFS rhbz#1239798
- fix BR list and use BR mvn()-like
- remove duplicate files
- fix some rpmlint problem
- introduce license macro

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-0.7.Alpha7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-0.6.Alpha7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-0.5.Alpha7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Oct 23 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.0.0-0.4.Alpha7
- Rebuild to regenerate broken POMs
- Related: rhbz#1021484

* Mon Oct 21 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.3.Alpha7
- Disabled debuginfo package

* Tue Oct 08 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.2.Alpha7
- Initial packaging
